/****** Object:  Database SpamFilter    Script Date: 5/21/2003 8:47:56 AM ******/
CREATE DATABASE [SpamFilter]  ON (NAME = N'SpamFilter_Data', FILENAME = N'c:\Program Files\Microsoft SQL Server\MSSQL\data\SpamFilter_Data.MDF' , SIZE = 173, FILEGROWTH = 10%) LOG ON (NAME = N'SpamFilter_Log', FILENAME = N'c:\Program Files\Microsoft SQL Server\MSSQL\data\SpamFilter_Log.LDF' , SIZE = 285, FILEGROWTH = 10%)
GO

exec sp_dboption N'SpamFilter', N'autoclose', N'false'
GO

exec sp_dboption N'SpamFilter', N'bulkcopy', N'false'
GO

exec sp_dboption N'SpamFilter', N'trunc. log', N'false'
GO

exec sp_dboption N'SpamFilter', N'torn page detection', N'true'
GO

exec sp_dboption N'SpamFilter', N'read only', N'false'
GO

exec sp_dboption N'SpamFilter', N'dbo use', N'false'
GO

exec sp_dboption N'SpamFilter', N'single', N'false'
GO

exec sp_dboption N'SpamFilter', N'autoshrink', N'true'
GO

exec sp_dboption N'SpamFilter', N'ANSI null default', N'false'
GO

exec sp_dboption N'SpamFilter', N'recursive triggers', N'false'
GO

exec sp_dboption N'SpamFilter', N'ANSI nulls', N'false'
GO

exec sp_dboption N'SpamFilter', N'concat null yields null', N'false'
GO

exec sp_dboption N'SpamFilter', N'cursor close on commit', N'false'
GO

exec sp_dboption N'SpamFilter', N'default to local cursor', N'false'
GO

exec sp_dboption N'SpamFilter', N'quoted identifier', N'false'
GO

exec sp_dboption N'SpamFilter', N'ANSI warnings', N'false'
GO

exec sp_dboption N'SpamFilter', N'auto create statistics', N'true'
GO

exec sp_dboption N'SpamFilter', N'auto update statistics', N'true'
GO

use [SpamFilter]
GO

/****** Object:  User dbo    Script Date: 5/29/2003 10:18:47 PM ******/
/****** Object:  User SpamFilterUser    Script Date: 5/29/2003 10:18:47 PM ******/
if not exists (select * from dbo.sysusers where name = N'SpamFilterUser' and uid < 16382)
	EXEC sp_grantdbaccess N'SpamFilterUser', N'SpamFilterUser'
GO

/****** Object:  Table [dbo].[tblLogins]    Script Date: 5/29/2003 10:18:47 PM ******/
CREATE TABLE [dbo].[tblLogins] (
	[LoginID] [int] IDENTITY (1, 1) NOT NULL ,
	[EMail] [nvarchar] (100) NOT NULL ,
	[Password] [nvarchar] (100) NULL 
) ON [PRIMARY]
GO




/****** Object:  Table [dbo].[tblMsgs]    Script Date: 5/29/2003 10:18:48 PM ******/
CREATE TABLE [dbo].[tblMsgs] (
	[MsgID] [int] IDENTITY (1, 1) NOT NULL ,
	[Msg] [text] NULL 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO

/****** Object:  Table [dbo].[tblQuarantine]    Script Date: 5/29/2003 10:18:50 PM ******/
CREATE TABLE [dbo].[tblQuarantine] (
	[QuarID] [int] IDENTITY (1, 1) NOT NULL ,
	[EmailFrom] [varchar] (100) NULL ,
	[EmailTo] [varchar] (100) NULL ,
	[Subject] [varchar] (100) NULL ,
	[MsgDate] [datetime] NULL ,
	[MsgID] [int] NULL ,
	[RejectID] [int] NULL ,
	[RejectDetails] [nvarchar] (200) NULL ,
	[Deliver] [bit] NULL ,
	[Expire] [bit] NULL 
) ON [PRIMARY]
GO

/****** Object:  Table [dbo].[tblRejectCodes]    Script Date: 5/29/2003 10:18:51 PM ******/
CREATE TABLE [dbo].[tblRejectCodes] (
	[RejectID] [int] NOT NULL ,
	[RejectDesc] [varchar] (100) NULL 
) ON [PRIMARY]
GO

ALTER TABLE [dbo].[tblLogins] WITH NOCHECK ADD 
	CONSTRAINT [PK_tblLogins] PRIMARY KEY  CLUSTERED 
	(
		[LoginID]
	)  ON [PRIMARY] 
GO

 CREATE  UNIQUE  INDEX [EMail] ON [dbo].[tblLogins]([EMail]) ON [PRIMARY]
GO

ALTER TABLE [dbo].[tblMsgs] WITH NOCHECK ADD 
	CONSTRAINT [MsgID] PRIMARY KEY  CLUSTERED 
	(
		[MsgID]
	) WITH  FILLFACTOR = 90  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[tblQuarantine] WITH NOCHECK ADD 
	CONSTRAINT [QuarID] PRIMARY KEY  CLUSTERED 
	(
		[QuarID]
	) WITH  FILLFACTOR = 90  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[tblRejectCodes] WITH NOCHECK ADD 
	CONSTRAINT [RejectID] PRIMARY KEY  CLUSTERED 
	(
		[RejectID]
	) WITH  FILLFACTOR = 90  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[tblQuarantine] WITH NOCHECK ADD 
	CONSTRAINT [DF_tblQuarantine_Deliver] DEFAULT (0) FOR [Deliver],
	CONSTRAINT [DF_tblQuarantine_Delete] DEFAULT (0) FOR [Expire]
GO

 CREATE  INDEX [EmailFrom] ON [dbo].[tblQuarantine]([EmailFrom]) WITH  FILLFACTOR = 90 ON [PRIMARY]
GO

 CREATE  INDEX [EmailTo] ON [dbo].[tblQuarantine]([EmailTo]) WITH  FILLFACTOR = 90 ON [PRIMARY]
GO

 CREATE  INDEX [MsgDate] ON [dbo].[tblQuarantine]([MsgDate]) WITH  FILLFACTOR = 90 ON [PRIMARY]
GO

 CREATE  INDEX [RejectID] ON [dbo].[tblQuarantine]([RejectID]) WITH  FILLFACTOR = 90 ON [PRIMARY]
GO

 CREATE  INDEX [Subject] ON [dbo].[tblQuarantine]([Subject]) WITH  FILLFACTOR = 90 ON [PRIMARY]
GO

 CREATE  INDEX [MsgID] ON [dbo].[tblQuarantine]([MsgID]) ON [PRIMARY]
GO

GRANT  SELECT  ON [dbo].[tblLogins]  TO [public]
GO

GRANT  SELECT ,  UPDATE ,  INSERT ,  DELETE  ON [dbo].[tblMsgs]  TO [public]
GO

GRANT  SELECT ,  UPDATE ,  INSERT ,  DELETE  ON [dbo].[tblQuarantine]  TO [public]
GO

GRANT  SELECT  ON [dbo].[tblRejectCodes]  TO [public]
GO

ALTER TABLE [dbo].[tblQuarantine] ADD 
	CONSTRAINT [FK_tblQuarantine_tblMsgs] FOREIGN KEY 
	(
		[MsgID]
	) REFERENCES [dbo].[tblMsgs] (
		[MsgID]
	) ON DELETE CASCADE  NOT FOR REPLICATION 
GO

